Backup Plugin RC1 für 4.6.x

markusheinzer
Beiträge: 81
Registriert: Do 8. Sep 2005, 13:18
Wohnort: Sarajevo
Kontaktdaten:

Backup Plugin RC1 für 4.6.x

Beitrag von markusheinzer » Mo 9. Jan 2006, 09:43

Das Backup Plugin RC1 von Snoopy funktioniert auch für die Contenido-Version 4.6.

Installieren tut man es so:
  • 1. gepackte Dateien herunterladen (auf den nachfolgenden Link klicken und ganz unten auf dem ersten Post von Snoopy die Datei "für AW mit der Version v4.5.x" nehmen)
    http://www.contenido.org/forum/viewtopic.php?t=5818

    2. Dateien in einen Ordner "backup" lokal entpacken

    3. vor dem Hochladen der Dateien in der Datei backup/setup/sql/backup.sql unter der Zeile

    Code: Alles auswählen

    INSERT INTO !PREFIX!_area VALUES ('3000', '0', 'backup', '1', '1');
    
    die folgende Zeile einfügen:

    Code: Alles auswählen

    INSERT INTO !PREFIX!_area VALUES ('3000', '0', 'backup', '1', '1','0');
    
    4. den phpSafeMode auf dem Server deaktivieren (muss möglicherweise der Provider für dich machen)

    5. den Ordner per FTP ins Contenido-Verzeichnis "/contenido/plugins/" hochladen

    6. das Setup starten, indem du die Datei "/contenido/plugins/backup/setup/index.php" im Browser öffnest

    7. wenn die Setup-Routine nach den DB-Angaben fragt, die gleichen Angaben einfügen, die für Contenido gelten (gleiche Datenbank, gleicher User)

    So. Das Plugin sollte nun im Contenido-Menu "Extras" zu finden sein und funktionieren. Bei mir hats so jedenfalls geklappt.

Halchteranerin
Beiträge: 5478
Registriert: Di 2. Mär 2004, 21:11
Wohnort: Halchter, wo sonst? ;-)
Kontaktdaten:

Beitrag von Halchteranerin » Mo 9. Jan 2006, 09:45

aehm, es gibt irgendwo einen Thread mit alten Modulen, die mit der neuen Version ebenfalls funktionieren. Es waere nett, wenn du dort einen Link zu diesem Beitrag veroeffentlichen wuerdest oder gleich dort postest (obwohl es eigentlich eben kein Modul sondern ein Plugin ist, aber du hast ja auch unter Module 4.6.x gepostet :wink:)
Bitte keine unaufgeforderten Privatnachrichten mit Hilfegesuchen schicken. WENN ich helfen kann, dann mache ich das im Forum, da ich auch alle Postings lese. PN werden nicht beantwortet!

markusheinzer
Beiträge: 81
Registriert: Do 8. Sep 2005, 13:18
Wohnort: Sarajevo
Kontaktdaten:

Beitrag von markusheinzer » Mo 9. Jan 2006, 10:03

mach ich gerne.
Diese Liste findet sich übrigens hier:
http://contenido.org/forum/viewtopic.php?t=10231

derSteffen
Beiträge: 847
Registriert: Mi 14. Dez 2005, 16:15
Wohnort: Königs Wusterhausen bei Berlin
Kontaktdaten:

Beitrag von derSteffen » Mi 11. Jan 2006, 21:28

leider klappt bei mir das BackUp-Modul überhaupt nicht! Keine Fehlermeldung, alles ok, aber es rührt sich nichts im Backend, kein BackUp unter Extras? Woran kann das liegen? Habe die Version 4.6.4 unter Xampp zu laufen, welche Version nutzt Du, die 4.6.??? Ich muss doch beim Einrichten meine bestehende Datenbank angbeben, oder? Oder gibt es vielleicht Problem wenn man, wie ich das vpTransformaionen-Extra installiert habe?! Beim JaxCalender kommt auch nichts???

Hat jemand eine Antwort?

HerrB
Beiträge: 6935
Registriert: Do 22. Mai 2003, 12:44
Wohnort: Berlin
Kontaktdaten:

Beitrag von HerrB » Mi 11. Jan 2006, 23:26

Hast Du Punkt 3 vor dem Hochladen und Installieren beachtet?

Gruß
HerrB
Bitte keine unaufgeforderten PMs oder E-Mails -> use da Forum!

Newsletter: V4.4.x | V4.6.0-15 (Module, Backend) | V4.6.22+
Standardartikelliste: V4.4.x | V4.6.x
http://www.contenido.org/forum/search.php | http://faq.contenido.org | http://www.communido.net

derSteffen
Beiträge: 847
Registriert: Mi 14. Dez 2005, 16:15
Wohnort: Königs Wusterhausen bei Berlin
Kontaktdaten:

Beitrag von derSteffen » Do 12. Jan 2006, 09:54

Naja, also ich habe beide Varianten versucht, jedoch teste ich momentan immer noch lokal auf meinem Rechner! Ich finde auch keine Anleitung zum Backup und zur Installation! Oder funktioniert das offline nicht? Ich sehe da wird ja irgendwas mit dem MSQL Commander gemacht?!

Danke schon mal

Dinkel
Beiträge: 565
Registriert: Di 22. Mär 2005, 14:52
Kontaktdaten:

Beitrag von Dinkel » Do 12. Jan 2006, 12:12

Also nach ein paar Anpassungen hat es dann bei mir geklappt, aber aus irgendeinem Grund legt der die Dateien nicht auf dem Server ab, bzw. diese sind nicht auffindbar. im Verzeichnis data sind die zumindest nicht... Wo kann man da noch suchen?
selbstentwickelte Module:
Downloads und Infos zu den Modulen: gibt es hier.
Modul: Forum | Version 0.9 | getestet: 4.6.24 MR, 4.8.11, 4.8.11 AMR
Modul: Galleriffic | Version: 0.3.4 BETA | getestet: 4.8.11, 4.8.11 AMR, 4.8.12, 4.8.12 AMR
Modul: Metadata | Version: 2.0 | getestet: 4.9.7, 4.9.7 AMR
Modul: Slider Gallery | Version: 1.0 | getestet: 4.9.12 AMR
Modul: Up- & Download | Version: 4.1 | getestet: 4.9.12 AMR

moltimer
Beiträge: 29
Registriert: Di 22. Nov 2005, 16:44
Wohnort: Ahrensburg
Kontaktdaten:

Beitrag von moltimer » So 15. Jan 2006, 01:17

Suuuuper Tool,

ich habe es gerade auf meiner 4.6.2 Version - gehostet bei 1und1 - installiert und fehlerfrei ein Backup erstellt, ein Testrestore gemacht und die Tabellen optimiert. Klasse Arbeit und klasse Anleitung.

Nur eine Sache - Ich erhalte folgende Meldung, wenn cih auf "server" klicke

Datenbank Version
MySQL Error: 2002: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

WICHTIG: Überprüfe die Konfiguration in UPDATE->Konfiguration oder trage manuell eine Datenbank-Verbindung ein.

Muss mich das beunruhigen oder ist das bei 1und1 normal, weil der SQL Server nicht von aussen erreichbar ist

Gruß Moltimer

@Steffen: Bei mir hat es sowohl mit der localhost Testversion als auch mit der echten Version geklappt. Schau mal ins Manual vom Backup
Contenido 4.6.2
Server Betriebssystem Apache/1.3.33 (Unix)
MySQL Serverversion 4.0.25-standard-log
PHP-Version 4.4.1
Provider: 1&1

HerrB
Beiträge: 6935
Registriert: Do 22. Mai 2003, 12:44
Wohnort: Berlin
Kontaktdaten:

Beitrag von HerrB » Mo 16. Jan 2006, 00:42

Muss mich das beunruhigen
Nein.

Gruß
HerrB
Bitte keine unaufgeforderten PMs oder E-Mails -> use da Forum!

Newsletter: V4.4.x | V4.6.0-15 (Module, Backend) | V4.6.22+
Standardartikelliste: V4.4.x | V4.6.x
http://www.contenido.org/forum/search.php | http://faq.contenido.org | http://www.communido.net

derSteffen
Beiträge: 847
Registriert: Mi 14. Dez 2005, 16:15
Wohnort: Königs Wusterhausen bei Berlin
Kontaktdaten:

Beitrag von derSteffen » Mo 16. Jan 2006, 18:48

Tja leider klappt es bei mir immer noch nicht! Ich habe die 4.6.4 und test local und möchte das Plugin "Backup 4.5" installieren!

Ich entpacke die Daten lege sie unter plugins abu und rufe die index.php von plugin/backup/setup auf! Oder muss ich bevor ich die installation starte die sql/backup.txt anpassen?! Und ich muss doch bei der Installation eine vorhandene leere Datenbank angeben, oder mache ich hier Fehler!

Wenn ich einfach nur /plugin/backup/ aufrufe kommt folgender Hinweis....
"MySQL Error: 1045 Access denied for user 'ODB'@'localhost' (using password: NO)
Mhm? Ideen?

Danke

moltimer
Beiträge: 29
Registriert: Di 22. Nov 2005, 16:44
Wohnort: Ahrensburg
Kontaktdaten:

Beitrag von moltimer » Di 17. Jan 2006, 10:16

derSteffen hat geschrieben:Und ich muss doch bei der Installation eine vorhandene leere Datenbank angeben, oder mache ich hier Fehler!
Ja du machst hier den Fehler! Du musst die aktuelle Contenido Datenbank angeben und nicht eine leere. Neue leere Datenbanken erstellst du ggf. erst mit dem Tool wenn die Installation erledigt ist.

Das steht auch im ersten Eintrag von Markus ;-)
markusheinzer hat geschrieben: 7. wenn die Setup-Routine nach den DB-Angaben fragt, die gleichen Angaben einfügen, die für Contenido gelten (gleiche Datenbank, gleicher User)
Gruß Moltimer
Contenido 4.6.2
Server Betriebssystem Apache/1.3.33 (Unix)
MySQL Serverversion 4.0.25-standard-log
PHP-Version 4.4.1
Provider: 1&1

derSteffen
Beiträge: 847
Registriert: Mi 14. Dez 2005, 16:15
Wohnort: Königs Wusterhausen bei Berlin
Kontaktdaten:

Beitrag von derSteffen » Mi 18. Jan 2006, 10:19

Es tut mir echt leid aber mir klappt das einfach nicht! Es kommt keine Fehlermeldung ich habe nur unter Extras keinen Eintarg "Backup" oder so! Ich versuche das unter !Admin! und unter "Sysadmin" da steht nichts :-(
liegt das vielleivht an meine bereits installierten Plugins? Das wären "Calender", "vPTrasformationen" und "Newsletter"! Komisch!
Mhm?

Nachtrag: Ups hatte bei der letzten Installation vergessen die backup.sql zu verändern! Also habe ich sie verändert und nachdem 25mal Installieren hat es funktioniert! Sorry für meine Umständlichkeiten und Danke an Euch und Eurer Hilfe!

Fluffigen Tag noch :-)

ngcat
Beiträge: 31
Registriert: Mi 1. Mär 2006, 11:48
Wohnort: Emmen / Schweiz
Kontaktdaten:

Re: Backup Plugin RC1 für 4.6.x

Beitrag von ngcat » Do 2. Mär 2006, 02:29

markusheinzer hat geschrieben:Das Backup Plugin RC1 von Snoopy funktioniert auch für die Contenido-Version 4.6.
Perfekt markusheinzer!
Toll wies funktioniert.

Freddy
Beiträge: 251
Registriert: Fr 6. Mai 2005, 21:01
Wohnort: Gummersbach
Kontaktdaten:

Beitrag von Freddy » Do 22. Jun 2006, 23:51

Hallo, habe das Plugin installiert. Es funktioniert auch, aber ich habe Warnhinweise:

Code: Alles auswählen

Warning: fopen(plugins/backup/ressourcen/instsettings.inc.php): failed to open stream: Keine Berechtigung in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 152

Warning: fwrite(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 154

Warning: fclose(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 156
Im Contenido-Fehlerlog steht folgendes:

Code: Alles auswählen

[23-Jun-2006 00:40:47] PHP Warning:  fopen(plugins/backup/ressourcen/instsettings.inc.php): failed to open stream: Keine Berechtigung in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 152
[23-Jun-2006 00:40:47] PHP Warning:  fwrite(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 154
[23-Jun-2006 00:40:47] PHP Warning:  fclose(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 156
[23-Jun-2006 00:40:49] PHP Warning:  fopen(plugins/backup/ressourcen/instsettings.inc.php): failed to open stream: Keine Berechtigung in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 152
[23-Jun-2006 00:40:49] PHP Warning:  fwrite(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 154
[23-Jun-2006 00:40:49] PHP Warning:  fclose(): supplied argument is not a valid stream resource in /home2/www/b20/x/ro/contenido/plugins/backup/ressourcen/install/class.installProperties.php on line 156
Was mache ich falsch?
Vielen Dank im vorraus für eure Mühe.

Halchteranerin
Beiträge: 5478
Registriert: Di 2. Mär 2004, 21:11
Wohnort: Halchter, wo sonst? ;-)
Kontaktdaten:

Beitrag von Halchteranerin » Fr 23. Jun 2006, 07:59

Freddy, es steht doch fett da: keine Berechtigung. :roll: Sind die bemaengelten Dateien da und haben sie ausreichend Rechte?
Bitte keine unaufgeforderten Privatnachrichten mit Hilfegesuchen schicken. WENN ich helfen kann, dann mache ich das im Forum, da ich auch alle Postings lese. PN werden nicht beantwortet!

Gesperrt